## gimpfloatingsel gimpfloatingsel |

## Functions

gboolean | gimp_floating_sel_remove ()
gboolean | gimp_floating_sel_anchor ()
gboolean | gimp_floating_sel_to_layer ()
gboolean | gimp_floating_sel_attach ()
gboolean | gimp_floating_sel_rigor ()
gboolean | gimp_floating_sel_relax ()

## Description

## Functions

### gimp_floating_sel_remove ()

    gboolean
    gimp_floating_sel_remove (gint32 floating_sel_ID);

### gimp_floating_sel_anchor ()

    gboolean
    gimp_floating_sel_anchor (gint32 floating_sel_ID);

### gimp_floating_sel_to_layer ()

    gboolean
    gimp_floating_sel_to_layer (gint32 floating_sel_ID);

### gimp_floating_sel_attach ()

    gboolean
    gimp_floating_sel_attach (gint32 layer_ID,
                              gint32 drawable_ID);

### gimp_floating_sel_rigor ()

    gboolean
    gimp_floating_sel_rigor (gint32 floating_sel_ID,
                             gboolean undo);

`gimp_floating_sel_rigor` is deprecated and should not be used in newly-written code.

There is no replacement for this procedure.

### gimp_floating_sel_relax ()

    gboolean
    gimp_floating_sel_relax (gint32 floating_sel_ID,
                             gboolean undo);

`gimp_floating_sel_relax` is deprecated and should not be used in newly-written code.

There is no replacement for this procedure.

## Types and Values